#13 Error messages and no screen after launch

v0.17beta
closed-fixed
GUI (11)
5
2005-09-28
2005-09-06
No

After launching clean installation of cpm (0.17beta) i
get error messages to the screen and nothing else is
visible.

First dialog saying "error 2 (No such file or
directory) opening file '/home/devel/.cpmdb'." is
visible correctly but after hitting OK, i get these
strings and no gui elements:

conversion failed for string '2005-09-06 15:01:53' (0).
conversion failed for string 'unknown' (0).
conversion failed for string '1' (0).
conversion failed for string '2005-09-06 15:01:53' (0).
conversion failed for string '2005-09-06 15:01:53' (0).
conversion failed for string '2005-09-06 15:01:53' (0).
conversion failed for string '2005-09-06 15:01:53' (0).
conversion failed for string '2005-09-06 15:01:53' (0).

Resizing screen makes these strings vanish and screen
goes blank. CTRL+C will break the application and
returns to shell.

Libs used:

Cdk 5.0.20050424
gpgme 1.0.2
cracklib 2.7
dotconf 1.0.12
libxml2 2.6.15
zlib 1.2.2.2.2

and switches for configure:

--prefix=/opt/cpm
--with-cdk=/usr/local/cdk
--with-crack-lib
--with-crack-dict=/usr/lib/cracklib_dict
--with-dotconf=/usr/local/dotconf
--with-gpgme
--with-xml2
--with-zlib

Discussion

  • Harry Brueckner

    Harry Brueckner - 2005-09-06
    • labels: --> GUI
    • assigned_to: nobody --> harry_b
    • milestone: --> v0.17beta
     
  • Harry Brueckner

    Harry Brueckner - 2005-09-07

    Logged In: YES
    user_id=1175558

    Unfortunately I can not even compile libxml2 2.6.15 on my
    machine. Is there a way you could try a newer version, e.g.
    2.6.20?

     
  • Harry Brueckner

    Harry Brueckner - 2005-09-08
    • status: open --> closed-duplicate
     
  • Harry Brueckner

    Harry Brueckner - 2005-09-08

    Logged In: YES
    user_id=1175558

    This probably is the same problem as bug #1282940.

     
  • Harry Brueckner

    Harry Brueckner - 2005-09-13
    • status: closed-duplicate --> open
     
  • Harry Brueckner

    Harry Brueckner - 2005-09-28
    • status: open --> closed-fixed
     
  • Harry Brueckner

    Harry Brueckner - 2005-09-28

    Logged In: YES
    user_id=1175558

    This is a problem with libxml2 before 2.6.16. Please update
    the library.

     

Log in to post a comment.